Summary: Generator Tools for Coding SOAP/XML Web Services in C and C++
Name: gsoap
Version: 2.7.9
Release: 0.1.l
License: GPLv2
Group: Development/Tools
URL: http://gsoap2.sourceforge.net
Source0: http://downloads.sourceforge.net/gsoap2/gsoap_2.7.9l.tar.gz
Patch0: http://grid.et.redhat.com/files/autotools_update-2.7.9k.patch
Patch1: http://grid.et.redhat.com/files/makefile_defines-2.7.9k.patch
Patch2: http://grid.et.redhat.com/files/tru64_hp_ux_cpp-2.7.9k.patch
Patch3: http://grid.et.redhat.com/files/tru64_hp_ux_c-2.7.9k.patch
Patch4: http://grid.et.redhat.com/files/import_dom_h-2.7.9l.patch
#Patch5: http://grid.et.redhat.com/files/anonymous_server_and_client-2.7.9k.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: flex
BuildRequires: bison
BuildRequires: dos2unix
BuildRequires: findutils


%description
The gSOAP Web services development toolkit offers an XML to C/C++
language binding to ease the development of SOAP/XML Web services in C
and C/C++.


%package devel
Summary: Devel libraries and headers for linking with gSOAP generated stubs
Group: Development/System
Requires: %name = %version-%release
Requires: pkgconfig


%description devel
gSOAP libraries, headers and generators for linking with and creating
gSOAP generated stubs


#%package static
#Summary: Static libraries for linking with gSOAP generated stubs
#Group: Development/System
#Requires: %name = %version-%release


#%description static
#Static gSOAP libraries for linking with gSOAP generated stubs


%prep
%setup -q -n gsoap-2.7

# update the autotool generated scripts to something more current, and
# enable libtool support
%patch0 -p1

# update Makefile.defines to let samples use libtool
%patch1 -p1

# update stdsoap2.c/pp to better identify the need for hostent_data
# and h_errno
%patch2 -p1
%patch3 -p1

# gsoap 2.7.9l's import/dom.h was missing xsd__anyAttribute definitions
%patch4 -p1

# a number of ~ files are distribute, but we do not want them
find . -name "*~" -exec rm {} \;

# pre-generated Makefiles abound, kill them
find . -name "Makefile" -exec rm {} \;

# stdsoap2_cpp.cpp is generated by soapcpp2/Makefile, and should not
# exist in the distributed source
rm soapcpp2/stdsoap2_cpp.cpp


%build
%configure --disable-namespaces --disable-static --prefix=/usr

# dependencies are not declared properly
#make %{?_smp_mflags}
make

# during the build a number of files that we should not distribute are
# created in soapcpp2/samples/ (a doc directory), we must remove them
#find soapcpp2/samples/ -name ".deps" -prune -exec rm -rf {} \;

# we do not want to bother distributing samples for Windows or OS X
#rm -rf soapcpp2/samples/magic_VC
#rm -rf soapcpp2/samples/quote_VC
#rm -rf soapcpp2/samples/quote_MAC_ProjBuild

# samples do not need to be executable by default
#chmod a-x soapcpp2/samples/ssl/root.sh
#chmod a-x soapcpp2/samples/ssl/cacerts.pem

# we want all txt files to have unix end-of-line encoding
dos2unix soapcpp2/README.txt
dos2unix soapcpp2/NOTES.txt
#dos2unix soapcpp2/samples/README.txt
#dos2unix soapcpp2/samples/gpl.txt


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%_libdir/*.la

%clean
rm -rf %{buildroot}


%check
make check


%files
%defattr(-,root,root,-)
%doc soapcpp2/README.txt soapcpp2/NOTES.txt
%_libdir/libgsoapck.so.0
%_libdir/libgsoapck++.so.0
%_libdir/libgsoapck.so.0.0.0
%_libdir/libgsoapck++.so.0.0.0
%_libdir/libgsoap.so.0
%_libdir/libgsoap++.so.0
%_libdir/libgsoap.so.0.0.0
%_libdir/libgsoap++.so.0.0.0
%_libdir/libgsoapssl.so.0
%_libdir/libgsoapssl++.so.0
%_libdir/libgsoapssl.so.0.0.0
%_libdir/libgsoapssl++.so.0.0.0


%files devel
%defattr(-,root,root,-)
%doc soapcpp2/README.txt soapcpp2/NOTES.txt
%_bindir/soapcpp2
%_bindir/wsdl2h
%_libdir/libgsoapck.so
%_libdir/libgsoapck++.so
%_libdir/libgsoap.so
%_libdir/libgsoapssl.so
%_libdir/libgsoapssl++.so
%_libdir/libgsoap++.so
%_includedir/stdsoap2.h
%_libdir/pkgconfig/gsoapck.pc
%_libdir/pkgconfig/gsoapck++.pc
%_libdir/pkgconfig/gsoap.pc
%_libdir/pkgconfig/gsoap++.pc
%_libdir/pkgconfig/gsoapssl.pc
%_libdir/pkgconfig/gsoapssl++.pc


#%files static
#%defattr(-,root,root,-)
#%doc soapcpp2/README.txt soapcpp2/NOTES.txt soapcpp2/samples/
#%_libdir/libgsoap.a
#%_libdir/libgsoap++.a
#%_libdir/libgsoapck.a
#%_libdir/libgsoapck++.a
#%_libdir/libgsoapssl.a
#%_libdir/libgsoapssl++.a


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%changelog
* Sun Sep 30 2007  <mfarrellee@redhat> - 2.7.9-0.1.l
- Updated to 2.7.9l (2.7.9k patches still apply)
- Added patch for import/dom.h missing xsd__anyAttribute definitions
- Removed removal of .deps directories and autom4te.cache

* Mon Sep 24 2007  <mfarrellee@redhat> - 2.7.9-0.2.k
- Moved pkgconfig requirement to -devel package

* Tue Sep 11 2007  <mfarrellee@redhat> - 2.7.9-0.1.k
- Initial release

